{% extends 'test_base_2.html' %}

{% block title %} Dashboard {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
    <link href="/static/assets/css/app.css" rel="stylesheet">
    <link href="/static/assets/css/historical_data.css" rel="stylesheet">
{% endblock %}

{% block content %}

<main class="content">

    <div class="container-fluid p-0">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3><strong>Qualitäts</strong>vorhersage</h3>
            </div>

            <div class="col-auto ml-auto text-right mt-n1">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb bg-transparent p-0 mt-1 mb-0">
                        <li class="breadcrumb-item"><a href="/">Saviour</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Analyse</li>
                    </ol>
                </nav>
            </div>
        </div>

        <!-- print the time of the current Process -->
        <p id="demo"></p>

        
        <p>Diese Vorhersage basiert auf den Daten, die während des laufenden Prozesses gewonnen wurden.  {{percentile_difference}} % des Prozesses sind abgeschlossen.</p>
        <p>{{prediction_ready}}</p>

        <h5 class="card-title mb-0">Geometrische Genauigkeit</h5>
        <div class="progress material distortion">

            <div class="progress-bar bg-success" id="OK material distortion"
                style="width: 0%">{{"%.2f" % prediction_ok_Geometrische_Genauigkeit}}% OK
            </div>
            <div class="progress-bar bg-danger progress-bar-stripped" id="nOK material distortion"
                style="width: 0%">{{"%.2f" % prediction_nok_Geometrische_Genauigkeit}}% nOK
            </div>
        </div>
        <h5 class="card-title mb-0"></h5>


        

        <table class="table">
            <thead>
              <tr>
                <th scope="col">Qualitätsparameter</th>
                <th scope="col">Vorhergesagter Wert</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <th scope="row">Zugfestigkeit</th>
                <td id="Wert_Zugfestigkeit">Wert1</td>
              </tr>
              <tr>
                <th scope="row">Bruchdehnung</th>
                <td id="Wert_Bruchdehnung">Wert2</td>
              </tr>
              <tr>
                <th scope="row">Schlagzähigkeit</th>
                <td id="Wert_Schlagzähigkeit">Wert3</td>
              </tr>
            </tbody>
          </table>

    </div>
</main>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}

<script>
    // show the runtime of the current process
    var process_step_id = {{process_step_id| tojson}};
    var process_step_time = {{process_step_time| tojson}};
    var countDownDate = new Date(process_step_time).getTime();

    // Update the count down every 1 second
    var x = setInterval(function() {
        if (process_step_id != "not_yet_given" && process_step_id != "not_yet_given") {
            // Get today's date and time
            var now = new Date().getTime();

            // Find the distance between now and the count down date
            var distance = now - countDownDate;

            // Time calculations for days, hours, minutes and seconds
            var days = Math.floor(distance / (1000 * 60 * 60 * 24));
            var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
            var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
            var seconds = Math.floor((distance % (1000 * 60)) / 1000);

            // Output the result in an element with id="demo"
            document.getElementById("demo").innerHTML = "Laufzeit aktueller Prozess: " + days + "d " + hours + "h "
            + minutes + "m " + seconds + "s ";
        }
        else {
            document.getElementById("demo").innerHTML = "Der Prozess wurde noch nicht gestartet"
        }
    }, 1000);
</script>

<script>
    var prediction_nok_Geometrische_Genauigkeit = {{prediction_nok_Geometrische_Genauigkeit| tojson}};
    var prediction_ok_Geometrische_Genauigkeit = {{prediction_ok_Geometrische_Genauigkeit| tojson}};

    var prediction_Zugfestigkeit = {{prediction_Zugfestigkeit| tojson}};
    var prediction_Bruchdehnung = {{prediction_Bruchdehnung| tojson}};
    var prediction_Schlagzaehigkeit = {{prediction_Schlagzaehigkeit| tojson}};

    // set value prediction_ok_Geometrische_Genauigkeit
    if (process_step_id != "not_yet_given" && process_step_id != "not_yet_given"){
        document.getElementById("OK material distortion").style.width = prediction_ok_Geometrische_Genauigkeit *100 + "%"
        document.getElementById("nOK material distortion").style.width = prediction_nok_Geometrische_Genauigkeit *100 + "%"
    }
    else {
        document.getElementById("OK material distortion").style.width = "0%"
        document.getElementById("nOK material distortion").style.width = "0%"
    }
    // set value prediction_Zugfestigkeit
    if (process_step_id != "not_yet_given" && process_step_id != "not_yet_given"){
        document.getElementById("Wert_Zugfestigkeit").textContent=prediction_Zugfestigkeit;
    }
    else {
        document.getElementById("Wert_Zugfestigkeit").textContent="";
    }
    // set value prediction_Bruchdehnung
    if (process_step_id != "not_yet_given" && process_step_id != "not_yet_given"){
        document.getElementById("Wert_Bruchdehnung").textContent=prediction_Bruchdehnung;
    }
    else {
        document.getElementById("Wert_Bruchdehnung").textContent="";
    }
    // set value prediction_Schlagzaehigkeit
    if (process_step_id != "not_yet_given" && process_step_id != "not_yet_given"){
        document.getElementById("Wert_Schlagzähigkeit").textContent=prediction_Schlagzaehigkeit;
    }
    else {
        document.getElementById("Wert_Schlagzähigkeit").textContent="";
    }
</script>


{% endblock javascripts %}
